<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0003SF2EditViewBase from './ibizsample0003-sf2-edit-view-base.vue';

import view_form from '@widgets/ibizsample0003/ui-0009-form/ui-0009-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0003SF2EditView extends IBIZSample0003SF2EditViewBase {

}
</script>